PHP-инклюдинг в WebCalendar

Дата публикации:
12.03.2007
Всего просмотров:
1173
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WebCalendar 1.x
Уязвимые версии: WebCalendar 1.0.4, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметрах перед использованием параметра "noSet". Удаленный пользователь может изменить значение параметров, подключить и выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.k5n.us/webcalendar.php

Решение: Установите последнюю версию (1.0.5) с сайта производителя.

или введите имя

CAPTCHA